- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::DiscreteVariable Class Reference

`#include <DiscreteVariable.h>`

Inheritance diagram for Mers::Executives::DeductiveController::DiscreteVariable:

[legend]
Collaboration diagram for Mers::Executives::DeductiveController::DiscreteVariable:

[legend]
List of all members.

## Public Member Functions
| DiscreteVariable (const Mers::Models::Base::BaseModelVariable *var)
virtual | ~DiscreteVariable ()
virtual const Mers::Models::Base::BaseModelVariable * | getVariable () const
## Protected Attributes
const Mers::Models::Base::BaseModelVariable * | mVariable
| Our underlying variable.

## Detailed Description

Variable Identifier that is associated with an observation interface. This can then be used to determine the internal variable desired.

Author:
  Paul H. Elliott

Definition at line 35 of file DiscreteVariable.h.

## Constructor & Destructor Documentation

DiscreteVariable::DiscreteVariable | ( | const Mers::Models::Base::BaseModelVariable * | var | ) |

Constructs a new named discrete variable.

Parameters:

  | var | The underlying base model variable associated with this variable.

Definition at line 25 of file DiscreteVariable.cpp.

DiscreteVariable::~DiscreteVariable | ( |  | ) | `[virtual]`

Destroys this object.

Reimplemented from Mers::Interfaces::DiscreteVariable.

Definition at line 32 of file DiscreteVariable.cpp.

## Member Function Documentation

const BaseModelVariable * DiscreteVariable::getVariable | ( |  | ) | const`[virtual]`

Returns the underlying variable of this object.

Definition at line 38 of file DiscreteVariable.cpp.

References mVariable.

Referenced by Mers::Executives::DeductiveController::DCInterface::getCurrentState(), and Mers::Executives::DeductiveController::DCInterface::getValue().

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/DiscreteVariable.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/DiscreteVariable.cpp